Package com.xebialabs.xlrelease.events

# Class TaskWaitingForInputOperation

java.lang.Object
com.xebialabs.xlrelease.events.TaskWaitingForInputOperation

All Implemented Interfaces:
  `XLReleaseOperation`, `Serializable`, `scala.Equals`, `scala.Product`

public class TaskWaitingForInputOperation extends Object implements XLReleaseOperation, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskWaitingForInputOperation(Task task, List<String> unboundVariables)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `scala.runtime.Null$`
  `action()`
  `static TaskWaitingForInputOperation`
  `apply(Task task, List<String> unboundVariables)`
  `boolean`
  `canEqual(Object x$1)`
  `TaskWaitingForInputOperation`
  `copy(Task task, List<String> unboundVariables)`
  `Task`
  `copy$default$1()`
  `List<String>`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `TaskWaitingForInputEvent`
  `event()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Task`
  `task()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<Task,List<String>>>`
  `unapply(TaskWaitingForInputOperation x$0)`
  `List<String>`
  `unboundVariables()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### TaskWaitingForInputOperation

    public TaskWaitingForInputOperation(Task task, List<String> unboundVariables)

- ## Method Details

  - ### apply

    public static TaskWaitingForInputOperation apply(Task task, List<String> unboundVariables)

  - ### unapply

    public static scala.Option<scala.Tuple2<Task,List<String>>> unapply(TaskWaitingForInputOperation x$0)

  - ### task

    public Task task()

  - ### unboundVariables

    public List<String> unboundVariables()

  - ### action

    public scala.runtime.Null$ action()
    Specified by:
      `action` in interface `XLReleaseOperation`

  - ### event

    public TaskWaitingForInputEvent event()
    Specified by:
      `event` in interface `XLReleaseOperation`

  - ### copy

    public TaskWaitingForInputOperation copy(Task task, List<String> unboundVariables)

  - ### copy$default$1

    public Task copy$default$1()

  - ### copy$default$2

    public List<String> copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`